[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DragDrop

Invokes the OnDragDrop handler, when the control is dropped

## Declaration

Source position: controls.pp line 1251

`public procedure TControl.DragDrop(`
`Source: TObject;`
`X: Integer;`
`Y: Integer`
`); virtual;`

## Arguments

`Source` |  | The object to be dragged and dropped
`X` |  | The X co-ordinate to which the object is to be dropped (target)
`Y` |  | The Y co-ordinate to which the object is to be dropped (target)

## See also

TControl.OnDragDrop |  | Event handler for the drop of a control onto this control.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.